﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;

using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using AccellaNetApplication.Libraries.ControlsLibrary;
using AccellaNetApplication.Libraries.AccellaNetCommon;

namespace AccellaNetApplication
{
    public partial class Form1 : BaseForm
    {
        private LoadingGrid grid;

        private DataSet temp;

        public Form1()
        {
            InitializeComponent();

            this.grid = new LoadingGrid();
            ((System.ComponentModel.ISupportInitialize)(this.grid)).BeginInit();
            this.SuspendLayout();
            this.grid.Parent = this;
            this.grid.Name = "grid";
            this.grid.BringToFront();
            this.grid.Dock = System.Windows.Forms.DockStyle.Fill;
            this.grid.Size = new System.Drawing.Size(928, 405);
            this.grid.TabIndex = 0;
            this.grid.BringToFront();

            this.Controls.Add(this.grid);
            
            ((System.ComponentModel.ISupportInitialize)(this.grid)).EndInit();
            this.ResumeLayout(false);
            this.grid.Text = "";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            RefreshData();
        }

        protected override DataSet LoadData()
        {
            //temp = ds;

            DataSet ds2 = new DataSet();
            ds2.ReadXml("testdata.xml");

            return ds2;
        }


        protected override void BindData()
        {
            ds.AcceptChanges();

            grid.DataSource = this.ds;

            //if (temp != null)
            //    temp.Dispose();
        }

        private void RefreshData()
        {
            Search(false);
        }

        private class LoadingGrid : SystekDataGrid
        {
            //protected override void OnInitializeLayout(Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
            //{
            //    base.OnInitializeLayout(e);

            //    //foreach (UltraGridBand band in e.Layout.Bands) band.Hidden = true;
            //    //UltraGridBand loadingBand = e.Layout.Bands["EksportTotalLogg"];
            //    //loadingBand.Hidden = false;
            //    //loadingBand.ColHeaderLines = 2;

            //    //ColumnsCollection cols = loadingBand.Columns;

            //    //HideAllColumns(cols);

            //    //UltraDropDown transportDropDown = ShowDropDownColumn(
            //    //    cols["TRANSPORTID"], 0, "Transportmiddel", "TransportNavn", "VehicleToExport", true);

            //    //UltraDropDown personDropDown = ShowDropDownColumn(
            //    //    cols["PERSONID"], 1, "Person", "PersonNavn", "PersonToExport", true);

            //    //this.ShowNumericColumn(cols["ORDRENR"], "Ordre Nr", "");
            //    //this.ShowNumericColumn(cols["SKIFTNR"], "Skift Nr", "", 60, true, "99");
            //    //this.ShowNumericColumn(cols["TURNR"], "Tur Nr", "", 60, true, "99");
            //    //this.ShowTimeColumn(cols["STOPPTID"], "Lastedato og tid", true, true);
            //    //this.ShowTimeColumn(cols["LEVERINGSDATO"], "Leveringsdato", true, false);
            //    //this.ShowNumericColumn(cols["VEKTINN"], "Vekt inn\n[kg]", "");
            //    //this.ShowNumericColumn(cols["VEKTUT"], "Vekt ut\n[kg]", "");


            //    //cols["TRANSPORTID"].Width = 170;
            //    //cols["PERSONID"].Width = 170;
            //    //cols["ORDRENR"].Width = 60;
            //    //cols["STOPPTID"].Width = 120;
            //    //cols["VEKTINN"].Width = 65;
            //    //cols["VEKTUT"].Width = 70;
            //    //cols["LEVERINGSDATO"].Width = 120;

            //    //SetWritable(cols["TRANSPORTID"], false);
            //    //SetWritable(cols["PERSONID"], false);

            //    //cols["TRANSPORTID"].AllowRowFiltering = DefaultableBoolean.True;
            //    //cols["PERSONID"].AllowRowFiltering = DefaultableBoolean.True;
            //    //cols["ORDRENR"].AllowRowFiltering = DefaultableBoolean.True;

            //    //transportDropDown.DisplayLayout.Bands[0].Columns["TransportNavn"].Width = 170;
            //    //personDropDown.DisplayLayout.Bands[0].Columns["PersonNavn"].Width = 170;

            //    //this.SortBy(cols["STOPPTID"], true);
            //}
        }
    }
}
